Package be.fgov.ehealth.ehbox.publication.protocol.v3

# Class ContentSpecificationType

java.lang.Object
be.fgov.ehealth.ehbox.core.v3.ContentSpecificationType
be.fgov.ehealth.ehbox.publication.protocol.v3.ContentSpecificationType

All Implemented Interfaces:
  `Serializable`

@Generated(value="com.sun.tools.xjc.Driver", date="2025-09-16T05:14:01+02:00", comments="JAXB RI v4.0.5") public class ContentSpecificationType extends ContentSpecificationType implements Serializable
ContentSpecification for publication

Java class for ContentSpecificationType complex type

.

The following schema fragment specifies the expected content contained within this class.

     <complexType name="ContentSpecificationType">
       <complexContent>
         <extension base="{urn:be:fgov:ehealth:ehbox:core:v3}ContentSpecificationType">
           <sequence>
             <element name="PublicationReceipt" type="{http://www.w3.org/2001/XMLSchema}boolean"/>
             <element name="ReceivedReceipt" type="{http://www.w3.org/2001/XMLSchema}boolean"/>
             <element name="ReadReceipt" type="{http://www.w3.org/2001/XMLSchema}boolean"/>
           </sequence>
         </extension>
       </complexContent>
     </complexType>

See Also:
  - Serialized Form

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `ContentSpecificationType()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `boolean`
  `isPublicationReceipt()`
  Gets the value of the publicationReceipt property.
  `boolean`
  `isReadReceipt()`
  Gets the value of the readReceipt property.
  `boolean`
  `isReceivedReceipt()`
  Gets the value of the receivedReceipt property.
  `void`
  `setPublicationReceipt(boolean value)`
  Sets the value of the publicationReceipt property.
  `void`
  `setReadReceipt(boolean value)`
  Sets the value of the readReceipt property.
  `void`
  `setReceivedReceipt(boolean value)`
  Sets the value of the receivedReceipt property.

  ### Methods inherited from class be.fgov.ehealth.ehbox.core.v3.ContentSpecificationType

  `getApplicationName, getContentType, isIsEncrypted, isIsImportant, setApplicationName, setContentType, setIsEncrypted, setIsImportant`

  ### Methods inherited from class java.lang.Object

  `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### ContentSpecificationType

    public ContentSpecificationType()

- ## Method Details

  - ### isPublicationReceipt

    public boolean isPublicationReceipt()
    Gets the value of the publicationReceipt property.

  - ### setPublicationReceipt

    public void setPublicationReceipt(boolean value)
    Sets the value of the publicationReceipt property.

  - ### isReceivedReceipt

    public boolean isReceivedReceipt()
    Gets the value of the receivedReceipt property.

  - ### setReceivedReceipt

    public void setReceivedReceipt(boolean value)
    Sets the value of the receivedReceipt property.

  - ### isReadReceipt

    public boolean isReadReceipt()
    Gets the value of the readReceipt property.

  - ### setReadReceipt

    public void setReadReceipt(boolean value)
    Sets the value of the readReceipt property.